Skip to main content
GET
/
connectors
/
{idOrKey}
/
export-json
Export connector as JSON
curl --request GET \
  --url https://api.getmembrane.com/connectors/{idOrKey}/export-json \
  --header 'Authorization: Bearer <token>'
{
  "key": "<string>",
  "name": "<string>",
  "logoUri": "<string>",
  "externalAppUuid": "<string>",
  "categories": [
    "<string>"
  ],
  "type": "integration-app-token",
  "customCredentialsSchema": {
    "type": "<string>",
    "title": "<string>",
    "description": "<string>",
    "format": "<string>",
    "properties": {},
    "items": "<unknown>",
    "additionalProperties": true,
    "enum": [
      "<string>"
    ],
    "referenceRecords": [
      {}
    ],
    "referenceCollection": {
      "key": {},
      "parameters": {}
    },
    "referenceUdm": "<string>",
    "default": {},
    "allowCustom": true,
    "required": [
      "<string>"
    ],
    "minLength": 123,
    "maxLength": 123,
    "minimum": 123,
    "maximum": 123,
    "maxItems": 123,
    "readOnly": true,
    "writeOnly": true,
    "examples": [
      {}
    ],
    "anyOf": "<array>",
    "isImplied": true,
    "isSensitive": true,
    "referenceCollectionPath": "<string>",
    "referenceCollectionUri": "<string>"
  },
  "inputSchema": {
    "type": "<string>",
    "title": "<string>",
    "description": "<string>",
    "format": "<string>",
    "properties": {},
    "items": "<unknown>",
    "additionalProperties": true,
    "enum": [
      "<string>"
    ],
    "referenceRecords": [
      {}
    ],
    "referenceCollection": {
      "key": {},
      "parameters": {}
    },
    "referenceUdm": "<string>",
    "default": {},
    "allowCustom": true,
    "required": [
      "<string>"
    ],
    "minLength": 123,
    "maxLength": 123,
    "minimum": 123,
    "maximum": 123,
    "maxItems": 123,
    "readOnly": true,
    "writeOnly": true,
    "examples": [
      {}
    ],
    "anyOf": "<array>",
    "isImplied": true,
    "isSensitive": true,
    "referenceCollectionPath": "<string>",
    "referenceCollectionUri": "<string>"
  },
  "parametersSchema": {
    "type": "<string>",
    "title": "<string>",
    "description": "<string>",
    "format": "<string>",
    "properties": {},
    "items": "<unknown>",
    "additionalProperties": true,
    "enum": [
      "<string>"
    ],
    "referenceRecords": [
      {}
    ],
    "referenceCollection": {
      "key": {},
      "parameters": {}
    },
    "referenceUdm": "<string>",
    "default": {},
    "allowCustom": true,
    "required": [
      "<string>"
    ],
    "minLength": 123,
    "maxLength": 123,
    "minimum": 123,
    "maximum": 123,
    "maxItems": 123,
    "readOnly": true,
    "writeOnly": true,
    "examples": [
      {}
    ],
    "anyOf": "<array>",
    "isImplied": true,
    "isSensitive": true,
    "referenceCollectionPath": "<string>",
    "referenceCollectionUri": "<string>"
  },
  "getCredentialsFromConnectionParameters": {
    "type": "mapping"
  },
  "refreshCredentials": {
    "type": "mapping"
  },
  "makeApiClient": {
    "type": "mapping"
  },
  "getOAuthConfig": {
    "type": "mapping"
  },
  "getTokenData": {
    "type": "mapping"
  },
  "getCredentialsFromAccessTokenResponse": {
    "type": "mapping"
  },
  "getCredentialsFromRefreshTokenResponse": {
    "type": "mapping"
  },
  "test": {
    "type": "mapping"
  },
  "disconnect": {
    "type": "mapping"
  },
  "proxyKey": "<string>",
  "options": {},
  "uuid": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

idOrKey
string
required

Query Parameters

version
string
required

Response

200 - application/json
key
string
name
string
logoUri
string
externalAppUuid
string
categories
string[]
type
enum<string>
Available options:
integration-app-token,
membrane-token,
oauth2,
oauth1,
client-credentials,
proxy
customCredentialsSchema
object
inputSchema
object
parametersSchema
object
getCredentialsFromConnectionParameters
object
refreshCredentials
object
makeApiClient
object
getOAuthConfig
object
getTokenData
object
getCredentialsFromAccessTokenResponse
object
getCredentialsFromRefreshTokenResponse
object
test
object
disconnect
object
proxyKey
string
options
object
uuid
string